Loading...
Searching...
No Matches
apr_memnode_t Struct Reference
Apache Portability Runtime library » Internal Memory Allocation

`#include <apr_allocator.h>`

Collaboration diagram for apr_memnode_t:
[legend]

## Data Fields

apr_memnode_t * | next
apr_memnode_t ** | ref
apr_uint32_t | index
apr_uint32_t | free_index
char * | first_avail
char * | endp

## Detailed Description

basic memory node structure

Note
  The next, ref and first_avail fields are available for use by the caller of apr_allocator_alloc(), the remaining fields are read-only. The next field has to be used with caution and sensibly set when the memnode is passed back to apr_allocator_free(). See apr_allocator_free() for details.
  The ref and first_avail fields will be properly restored by apr_allocator_free().

## Field Documentation

## endp

char* apr_memnode_t::endp

pointer to end of free memory

## first_avail

char* apr_memnode_t::first_avail

pointer to first free memory

## free_index

apr_uint32_t apr_memnode_t::free_index

how much free

## index

apr_uint32_t apr_memnode_t::index

size

## next

apr_memnode_t* apr_memnode_t::next

next memnode

## ref

apr_memnode_t** apr_memnode_t::ref

reference to self

The documentation for this struct was generated from the following file:

- apr_allocator.h